TowingChain_register = {}

function TowingChain_register:loadMap()
	for _,n in pairs( { "HOOK_VEHICLE_ATTACH", "HOOK_VEHICLE_DETACH", "HOOK_MANUAL_ATTACH_ON", "HOOK_MANUAL_ATTACH_OFF", "HOOK_VEHICLE_THROTTLE_ON", "HOOK_VEHICLE_THROTTLE_OFF", "HOOK_SELF_ATTACH", "HOOK_SELF_DETACH" } ) do
		TowingChain:getTexts(n, g_i18n:getText(n))
	end
end

function TowingChain_register.registerSpecializationVehicle(vehicleType, specialization, specName)
    --print("-----register specialization to vehicleType : ".. vehicleType.name)
    table.insert(vehicleType.specializationNames, specName)
    vehicleType.specializationsByName[specName] = specialization
    table.insert(vehicleType.specializations, specialization)
end

g_specializationManager.addSpecialization('towingChain', 'towingChain', 'TowingChain',  Utils.getFilename("Script/towingChain.lua", g_currentModDirectory))
    
if  g_vehicleTypeManager.vehicleTypes.towingChain ~= nil then
    TowingChain_register.registerSpecializationVehicle(g_vehicleTypeManager.vehicleTypes.towingChain, TowingChain, 'towingChain')
end
print("----TowingChain registered.")

addModEventListener(TowingChain_register);